@echo off

set T=c:\TEMP
set TOOLS=c:\tools
set ZIP=..\software\archerT5E-bluetooth.zip
set UNPACKDIR="Archer T5E(UN)_V1_191116_Bluetooth"

if NOT EXIST %ZIP% (
  echo ERROR: %ZIP% not found!
  exit /b
)

echo ####### %0 #######

echo unpacking Archer T5E bluetooth drivers ...
%TOOLS%\7z x -y -aoa -o"%T%" %ZIP%

echo executing setup ...
start /w %T%\%UNPACKDIR%\win10\setup.exe

echo cleanup ...
rd /S /Q %T%\%UNPACKDIR%
echo.

echo ####### %0 #######
pause

